{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'delete' %}
        <div class="alert alert-success" role="alert">
            The author was removed successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while deleting the author, contact the administrator!
        </div>
    {% elif control == 'errorExists' %}
        <div class="alert alert-danger" role="alert">
            {{ message }}
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">Author</h5>
        <div class="card-body">
            <h5 class="card-title">Delete a author from the virtual library</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'delete_author' %}" method="post">
                {% csrf_token %}
                <div class="form-group mb-3">
                    {% for author in authors %}
                        {% if forloop.first %}
                            <label for="inputAuthor_name" class="form-label">Author</label>
                            <select id="inputAuthor_name" name="inputAuthor_name" class="form-select mb-3">
                            <option selected>{{ author.name }}</option>
                        {% else %}
                            <option>{{ author.name }}</option>
                        {% endif %}
                        {% empty %}
                            <h1>There are no authors to Delete</h1>
                    {% endfor %}
                    </select>
                </div>
                {% if authors %}
                    <button type="submit" class="btn btn-danger">Delete</button>
                {% endif %}
                <button type="button" onclick="window.location.href='{% url 'all_authors' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
